curl --request POST \
--url https://api.orgnise.in/teams/{team_slug}/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Engineering Workspace",
"description": "A workspace for the engineering team.",
"visibility": "public",
"defaultAccess": "full"
}
'import requests
url = "https://api.orgnise.in/teams/{team_slug}/workspaces"
payload = {
"name": "Engineering Workspace",
"description": "A workspace for the engineering team.",
"visibility": "public",
"defaultAccess": "full"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Engineering Workspace',
description: 'A workspace for the engineering team.',
visibility: 'public',
defaultAccess: 'full'
})
};
fetch('https://api.orgnise.in/teams/{team_slug}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"name": "<string>",
"description": "",
"defaultAccess": "full",
"meta": {
"title": "<string>",
"description": "<string>",
"slug": "<string>"
},
"Visibility": "public",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}Create a workspace
Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.
Authorizations
Default authentication mechanism
Path Parameters
The slug of the team.
Body
Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.
The name of the workspace.
1 - 32The description of the workspace.
120The visibility of the workspace. Private workspaces are only visible to members of the workspace.
"public"
The default access level of the workspace. Full access allows members to perform all actions in the workspace. Read access allows members to view the workspace but not make changes.
full, read-only "full"
Response
The created workspace
A workspace is a collection of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.
The unique ID of the workspace.
The name of the workspace.
The description of the workspace.
120The default access level of the workspace. Full access allows members to perform all actions in the workspace. Read access allows members to view the workspace but not make changes.
full, read-only "full"
The meta of the workspace.
Show child attributes
Show child attributes
The visibility of the workspace. Private workspaces are only visible to members of the workspace.
"public"
The date and time when the workspace was created.
The date and time when the workspace was last updated.
Was this page helpful?